Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

bootstrap 2.2.1 #100

Closed
dwynne opened this Issue Nov 23, 2012 · 11 comments

Comments

Projects
None yet
5 participants

dwynne commented Nov 23, 2012

Hey,
Would it be possible to upgrade the bootstrap package to 2.2.1, or allow me to do it?

Thanks!

dwynne commented Nov 27, 2012

Hey - is is possible someone could give me a pointer on how to do this please, happy to get my hands dirty!

Contributor

jonsharratt commented Nov 30, 2012

@caolan I need this for one of my projects also - don't suppose you could add myself and @dwynne as owners if you get a spare moment please.

Cheers,
Jon

dwynne commented Dec 4, 2012

Can anybody help me with this or suggest an alternative? Unless I'm missing something isn't this a major flaw in the current JamJS setup that if the package owner goes unresponsive the entire community is unable to proceed.

Contributor

clexit commented Dec 4, 2012

We have our own repository and use Jam only as a package manager tool. That may be a solution, though it's not great for the community, of course.

How npm solves this problem?

Owner

caolan commented Dec 4, 2012

@jonsharratt I've added you as an owner of the bootstrap package, please feel free to update it :) - @dwynne let me or @jonsharratt know your jamjs username and we can add you as an owner too...

dwynne commented Dec 4, 2012

@caolan great thanks, my jamjs username is dwynne

@clexit I guess, generally, with npm the person who manages the repo manages the npm releases where as with JamJS it's a little different in the sense that typically a JamJS package is not maintained by the repo owner but rather the community.

Contributor

clexit commented Dec 5, 2012

@dwynne I mean npm registry. It says Error: forbidden user: <% username %> not authorized to modify <% packagename %> when you try to update someone else's package.

What is the status of this issue? The bootstrap version is still at 2.1.1.

Contributor

jonsharratt commented Jan 22, 2013

@topsitemakers @clexit I have updated bootstrap to the latest version - hope this helps. @clexit I have added you as an owner also.

Owner

caolan commented Jan 22, 2013

Thanks @jonsharratt!

@caolan caolan closed this Jan 22, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment